[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# operator -(variant): variant

Implement - (unary minus, negation) operation on variants.

## Declaration

Source position: varianth.inc line 372

`operator operator -(variant): variant(`
`const op: variant`
`):variant;`

## Description

The implementation of the unary minus (-) operation is delegated to the variant manager with operation varNeg.

## Errors

Execution of this operator may result in an exception if no variant manager is installed or if the types of the operand are not suitable for the operation.

## See also

operator -(variant, variant): variant |  | Implement subtraction (-) operation on variants.

Documentation generated on: Feb 26 2014